Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000225KdenliveUser Interfacepublic2008-10-19 11:262008-11-12 22:22
Reportermadsdyd 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000225: Applying the same video effect multiple times to a clip introdues some surprising behaviour, if disabling or deleting the effect
DescriptionThis has only been tested with the Charcoal and Dust video effect, but I presume it is similar for all effects.

If one applies the same effect multiple times, it appears there is a cumulative effect. This is most easily seen with the Charcoal effect, where adding 4 charcoal effects has a very visible difference from adding a single charcoal effect.

However, if one then tries to disable a single of those effects, all charcoal effects appear to be disabled, although 3 of them still indicates they are enabled, all charcoal effect is lost from the preview window. Applying yet another charcoal effect will apply a disabled charcoal effect, even in another project tab (it is as if the enable/disable setting for a charcoal is global?).

Trying to delete the effects appears impossible beyond the first one of a specific type.

What I expected: If Kdenlive does support applying the same effect multiple times, it should be possibly to set the parameters and enable/disable state for each effect instance, as well as delete each seperatly. Otherwise, kdenlive should not accept multiple effect instances of the same effect. This may be an MLT issue.
Steps To Reproducestart kdenlive (need fresh effect state)
add a non-text clip to the timeline
add a charcoal effect to the clip, note the effect in the preview (should be visible)
add another charcoal effect to the clip, note the effect in the preview (should be "double visible")
In the effect stack, disable the bottom charcoal effect, note that all charcoal effects disappear
Add another charcoal effect. Note that the preview seems to only have a single effect added, while in the effect stack all charcoal effects now appear as disabled.
Select the bottom charcoal effect in the effectstack, click the delete button to delete it. It gets deleted, but the preview still appears as a single charcoal effect is applied, although the remanining two charcoal effects appear disabled.
Click the delete button again - In some cases this will delete the effect, in some cases it will not... (I have not been able to isolate this).
Add three dust effects.
Select the bottom one in the effectstack
Click delete several times
Two dust effects will remain in the effectstack.
Preview the timeline - note that the charcoal effect is still applied.

TagsNo tags attached.
Build/Install Method
Attached Files? file icon capture0004.avi [^] (2,547,948 bytes) 2008-10-19 12:55

- Relationships

-  Notes
(0000460)
repli2dev (reporter)
2008-10-19 11:41

A see cumulating on 4 charcoal but I can disable, enable, delete one by one without any problems.
(0000461)
administrator (administrator)
2008-10-19 11:42

It works perfectly fine here. Can you please confirm this is still an issue with the recent svn changes...
(0000463)
madsdyd (administrator)
2008-10-19 12:38

Hard to keep up, when you are in a "commit frenzy" :-D

However, updating to 2491 resolves _some_ of the problems, but not all. I am doing a clean build rigth now to make sure. Also, could this be a KDE problem?

$ kde4-config --version
Qt: 4.4.1
KDE: 4.1.2 (KDE 4.1.2)
kde4-config: 1.0

Should I try to upload an avi of what happens here, if the problem persist after a clean build?
(0000466)
madsdyd (administrator)
2008-10-19 12:49

OK, fresh install of 2491.

I still have problems. I'll focus on this case:

- Adding four charcoals, gives cumulative charcoal effect. Disabling the bottom one, disables _all_ charcoal effects.

- I can now individually disable and enable each charcoal effect in the stack, but it is not reflected consistently in the mlt preview pane.

- Adding a new charcoal effect affects the enable/disable status of the effects already in the stack in unpredictable ways. (Some may toggle off, some on).

Here are the versions:

ffmpeg: Revision: 15644 Last Changed Date: 2008-10-19 06:44:24 +0200 (søn, 19 okt 2008)
mlt: Revision: 1184 Last Changed Date: 2008-10-08 11:45:03 +0200 (ons, 08 okt 2008)
mlt++: Revision: 1184 Last Changed Date: 2008-08-06 09:16:10 +0200 (ons, 06 aug 2008)
kdenlive: Revision: 2491 Last Changed Date: 2008-10-19 11:27:05 +0200 (søn, 19 okt 2008)
Qt: 4.4.1
KDE: 4.1.2 (KDE 4.1.2)
Kdenlive: 0.7
(0000467)
madsdyd (administrator)
2008-10-19 12:57

OK, I have added a capture file to show some of the problems. (The "delete" problem did not occur in this go). Note, that when disabling the charcoal effect at the bottom, _all_ charcoal effect seems to disappear from the preview pane. Also, note, that when adding the fifth charcoal effect, they all go into "disabled". This is consistent with what I am seeing in the preview pane, actually.
(0000473)
administrator (administrator)
2008-10-19 20:31

Ok, I can now reproduce. In fact it only happens when you add an effect through the timeline context menu. It works fine if you add the effects by dragging or double click from effects list.

Should not be too hard to fix, will look at it when got more time
(0000475)
madsdyd (administrator)
2008-10-19 21:38

Rev. 2501 fixes this! Thanks a bunch.

- Issue History
Date Modified Username Field Change
2008-10-19 11:26 madsdyd New Issue
2008-10-19 11:41 repli2dev Note Added: 0000460
2008-10-19 11:42 administrator Note Added: 0000461
2008-10-19 12:38 madsdyd Note Added: 0000463
2008-10-19 12:49 madsdyd Note Added: 0000466
2008-10-19 12:55 madsdyd File Added: capture0004.avi
2008-10-19 12:57 madsdyd Note Added: 0000467
2008-10-19 20:31 administrator Note Added: 0000473
2008-10-19 21:38 madsdyd Note Added: 0000475
2008-10-19 21:38 madsdyd Status new => closed
2008-10-19 21:38 madsdyd Resolution open => fixed
2008-10-19 21:38 madsdyd Fixed in Version => Recent git
2008-10-23 00:20 madsdyd Target Version Recent git => 0.7.0
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker